Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class dSAPT_EspecialidadDbHelper
    Inherits DbHelper(Of dSAPT_Especialidad,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListdSAPT_EspecialidadBydSAPT_Puesto(ByVal COD_INSPTO as String, Optional ByVal foreignLevel As Integer=0) As EntityList(Of dSAPT_Especialidad)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).COD_INSPTO = COD_INSPTO
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListdSAPT_EspecialidadBydSAPT_Requerimiento(ByVal REQ_CODIGO as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of dSAPT_Especialidad)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).REQ_CODIGO = REQ_CODIGO
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
